• php 5.5 w CentOS 5 i 6

    dodany przez Przemysław Sikora

    Choć sam do końca nie rozumiem “parcia” niektórych osób do używania tylko najnowszych wersji oprogramowania (nie tylko php), postaram się opisać prostą metodę na migrację z php 5.1 lub 5.3.3 na 5.5.

    W omawianym przypadku ma to jednak pewien sens, ponieważ od wersji 5.5, php posiada własny system cache o nazwie Zend Optimizer+. Nie potrzeba już dogrywać apc, czy xcache. W przypadku omawianego repozytorium wystarczy instalacji pakietu php55w-opcache, aby zyskać całkiem wydajny cache. Bierzmy się do pracy.

    rpm -Uvh http://mirror.webtatic.com/yum/el5/latest.rpm

    instalacja dodatkowego repo w CentOS 5

    rpm -Uvh http://mirror.webtatic.com/yum/el6/latest.rpm

    a tutaj to samo, tylko dla wersji 6.
    Kolejnym krokiem jest odinstalowanie wszystkich pakietów php w systemie.

    rpm -qa | grep php

    czego wynikiem może być przykładowo:
    php-common-5.3.3-27.el6_5.x86_64
    php-cli-5.3.3-27.el6_5.x86_64
    php-5.3.3-27.el6_5.x86_64
    php-pdo-5.3.3-27.el6_5.x86_64
    php-fpm-5.3.3-27.el6_5.x86_64
    php-mysql-5.3.3-27.el6_5.x86_64

    Usuwamy powyższe pakiety:

     rpm -ev php-common-5.3.3-27.el6_5.x86_64 php-cli-5.3.3-27.el6_5.x86_64 php-5.3.3-27.el6_5.x86_64 php-pdo-5.3.3-27.el6_5.x86_64 php-fpm-5.3.3-27.el6_5.x86_64 php-mysql-5.3.3-27.el6_5.x86_64 

    Następnie instalujemy nowe:

     yum install php55w-common php55w-cli php55w php55w-pdo php55w-fpm php55w-mysql 

    Następnie restartujemy Apacha lub php-fpm (w zależności od rozwiązania jakie stosujemy). Najprostszym sposobem jest wyświetlenie z popularnym phpinfo. Kod poniżej:
    <?php
    phpinfo();
    ?>

    Jeśli strona się wyświetli i poinformuje o wersji 5.5.x PHP-a, to znaczy że działa 🙂

Komentarze do “php 5.5 w CentOS 5 i 6”

  1. freebox pisze:

    Przyczyną konieczności aktualizacji php są wymogi nowszych firemworkôw. Np. nie zainstalujesz Phalcona 2 na oficjalnym php 5.3.3, ale już wiele innych nawet cmsów wymaga 5.4 lub 5.5. Jednak nie polecam instalacji php > 5.3.3 bez kopii plików i baz danych, bo wg oficjalnych informacji Centos 6 ma jakiś bug, który może powodować problemy przy wyższych wersjach php. Czasem można mieć pecha…

Dodaj komentarz

Warto odwiedzić
Valid XHTML 1.0 Transitional centos.com.pl- mapa strony